LibreOffice: EllipticalArc Struct Reference

LibreOffice LibreOffice 5.1 SDK API Reference

Public Attributes | List of all members
EllipticalArc Struct Reference

This structure specifies an arbitrary elliptical arc. More...

`import"EllipticalArc.idl";`

## Public Attributes
RealPoint2D | StartPosition
| Start point of the arc. More...
RealPoint2D | EndPosition
| End point of the arc. More...
double | RadiusX
| Main radius in x direction of the ellipse this arc is part of. More...
double | RadiusY
| Main radius in y direction of the ellipse this arc is part of. More...
double | XAxisRotation
| Rotation angle of the x axis of the ellipse relative to the x axis of the reference coordinate system. More...
boolean | IsLargeArc
| If `TRUE`, and there's a choice, take the longer one of two arcs connecting start and end point. More...
boolean | IsClockwiseSweep
| If `TRUE`, and there's a choice, take the arc that goes clock-wise from start to end point. More...

## Detailed Description

This structure specifies an arbitrary elliptical arc.

This structure contains all parameters necessary to specify arbitrary elliptical arcs. The parameters are modeled closely after the SVG specification.

As with the parameters below, there are mostly four different ellipses arcs (two different ellipses, on which four different arcs connect start and end point) which satisfy the given set of constrains. Thus, there are two flags indicating which one of those ellipses should be taken.

Since
  OOo 2.0

## Member Data Documentation

## § EndPosition

RealPoint2D EndPosition

End point of the arc.

## § IsClockwiseSweep

boolean IsClockwiseSweep

If `TRUE`, and there's a choice, take the arc that goes clock-wise from start to end point.

## § IsLargeArc

boolean IsLargeArc

If `TRUE`, and there's a choice, take the longer one of two arcs connecting start and end point.

## § RadiusX

double RadiusX

Main radius in x direction of the ellipse this arc is part of.

## § RadiusY

double RadiusY

Main radius in y direction of the ellipse this arc is part of.

## § StartPosition

RealPoint2D StartPosition

Start point of the arc.

## § XAxisRotation

double XAxisRotation

Rotation angle of the x axis of the ellipse relative to the x axis of the reference coordinate system.

The documentation for this struct was generated from the following file:

- com/sun/star/geometry/EllipticalArc.idl